{% extends 'layout.html' %}

{% block content %}
    <div class="flex flex-col gap-8 py-8">
        <div class="grid grid-cols-1 md:grid-cols-2 gap-6 justify-center items-center">
            <form class="flex flex-col w-80 mx-auto gap-8" action="/admin/products/new" method="POST">
                <label class="text-yellow" for="product-name">
                    <p>Product Name</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="text" name="product-name" id="product-name">
                </label>
                <label class="text-yellow" for="product-price">
                    <p>Product Price</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="number" name="product-price" id="product-price" step=".01">
                </label>
                <label class="text-yellow" for="product-active">
                    <p>Is product active?</p>
                    <select class="text-grey-dark w-full px-1 rounded-lg focus:outline-none" name="product-active" id="product-active">
                            <option value="True" selected>Active</option>
                            <option value="False">Not Active</option>
                    </select>
                </label>
                <label class="text-yellow" for="product-prohibited">
                    <p>Is product prohibited?</p>
                    <input class="text-grey-dark px-2 py-1 rounded-lg focus:outline-none" type="checkbox" name="product-prohibited" id="product-prohibited">
                </label>
                <label class="text-yellow" for="product-stock">
                    <p>Product Stock</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="number" name="product-stock" id="product-stock">
                </label>
                <label class="text-yellow" for="product-type">
                    <p>Product Type</p>
                    <select class="text-grey-dark w-full px-1 rounded-lg focus:outline-none" name="product-type" id="product-type">
                            <option value="drink" selected>Drink</option>
                            <option value="snack">Snack</option>
                            <option value="other">Other</option>
                    </select>
                </label>
                <label class="text-yellow" for="product-ean">
                    <p>Product EAN Code</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="text" name="product-ean" id="product-ean">
                </label>
                <button class="text-grey-dark px-6 py-2 bg-yellow rounded-lg focus:outline-none" type="submit">Save product</button>
                <a href="/admin/products" class="button text-yellow text-center px-6 py-2 bg-grey-dark rounded-lg focus:outline-none">Cancel</a>
            </form>
        </div>
    </div>

{% endblock content %}